информационная безопасность
без паники и всерьез
 подробно о проектеRambler's Top100
Spanning Tree Protocol: недокументированное применениеЗа кого нас держат?
BugTraq.Ru
Русский BugTraq
 Модель надежности двухузлового... 
 Специальные марковские модели надежности... 
 Модель надежности отказоустойчивой... 
 NSA выпустило Гидру 
 Неприятная уязвимость во всех WinRAR,... 
 Apple случайно превратила FaceTime... 
главная обзор RSN блог библиотека закон бред форум dnet о проекте
bugtraq.ru / форум / operating systems
Имя Пароль
ФОРУМ
если вы видите этот текст, отключите в настройках форума использование JavaScript
регистрация





Легенда:
  новое сообщение
  закрытая нитка
  новое сообщение
  в закрытой нитке
  старое сообщение
  • Напоминаю, что масса вопросов по функционированию форума снимается после прочтения его описания.
  • Новичкам также крайне полезно ознакомиться с данным документом.
ну то, что он встал, еще ничего не значит, хотя могли бы воткнуть и в инсталлятор проверку, конечно 24.02 14:49  Число просмотров: 179
Автор: dl <Dmitry Leonov>
<"чистая" ссылка> <ответить>
> И, например, 2008 АКАД после этого не обвалился...

Он вполне мог использовать старую 4.x, у .net на одной машине вполне могут сосуществовать разные версии.
В качестве контрольного выстрела можно было собрать простейшую консольную программку под 4.6 и посмотреть, взлетит ли она в XP.
<ответить> <operating systems>
Как запустить приложение .NET Win7 под XP? 23.02 14:19  
Автор: Zef <Alloo Zef> Статус: Elderman
<"чистая" ссылка> <ответить>
3й Codesys не запускается, будучи скопированным в Программс из виртуалки с Семеркой. Пишет, что не является приложением Вынь32. При этом новый фреймворк, шедший с ним установился на Хрюшку без проблем. Декомпилинг файла дает в точке входа JMP DWORD PTR ["_CorExeMain"(0=0h),mscoree.dll, т.е, передает управление фреймворку, как и полагается.

Такое ощущение, что для запуска достаточно пропатчить файл, просто изменивстроку с версией ОС или поменять mscoree.dll, скажем, на семерочную.
Обычно такое сообщение выдаётся, когда версия подсистемы в... 01.03 16:57  
Автор: AlexD <Alexander> Статус: Member
<"чистая" ссылка> <ответить>
> из виртуалки с Семеркой. Пишет, что не является приложением
> Вынь32.

Обычно такое сообщение выдаётся, когда версия подсистемы в заголовке EXE указана неподходящая.
И надо бы внимательно посмотреть и разобраться - ошибку выдаёт система или прога (подозреваю, что именно система по указанной причине).
Я то жк так думаю. Почему и спрашиваю 02.03 04:22  
Автор: Zef <Alloo Zef> Статус: Elderman
<"чистая" ссылка> <ответить>
Если бы это было решением, то все бы просто патчили версию. Но, как мне было сказано, .4.6й .NET под Хрюнделем, хоть и встал, но не запустится...
новый - это какой? 24.02 02:26  
Автор: dl <Dmitry Leonov>
<"чистая" ссылка> <ответить>
> 3й Codesys не запускается, будучи скопированным в Программс
> из виртуалки с Семеркой. Пишет, что не является приложением
> Вынь32. При этом новый фреймворк, шедший с ним установился
> на Хрюшку без проблем. Декомпилинг файла дает в точке входа
> JMP DWORD PTR ["_CorExeMain"(0=0h),mscoree.dll, т.е,
> передает управление фреймворку, как и полагается.
> Такое ощущение, что для запуска достаточно пропатчить файл,
> просто изменивстроку с версией ОС или поменять mscoree.dll,
> скажем, на семерочную.

.NET начиная с 4.5 под XP в принципе не работает, последняя совместимая версия - 4.0.3. Замена dll не поможет, mscoree.dll - это просто запускалка нужного рантайма и сама по себе еще работу не гарантирует.
.4.6-какой-то.Но он встал не ругаясь 24.02 04:28  
Автор: Zef <Alloo Zef> Статус: Elderman
<"чистая" ссылка> <ответить>
И, например, 2008 АКАД после этого не обвалился...
ну то, что он встал, еще ничего не значит, хотя могли бы воткнуть и в инсталлятор проверку, конечно 24.02 14:49  
Автор: dl <Dmitry Leonov>
<"чистая" ссылка> <ответить>
> И, например, 2008 АКАД после этого не обвалился...

Он вполне мог использовать старую 4.x, у .net на одной машине вполне могут сосуществовать разные версии.
В качестве контрольного выстрела можно было собрать простейшую консольную программку под 4.6 и посмотреть, взлетит ли она в XP.
В общем-то мне не до того - 26.02 03:57  
Автор: Zef <Alloo Zef> Статус: Elderman
<"чистая" ссылка> <ответить>
мне надо исхитриться запустить Codesys 3.5 на своем компе с 3840-писькельным монитором. Но он пож ХРюшкой, а ВиртуалБокс не дает полноэкранного разрешения. Сейчас буду пробовать ВМварь-плеер поставить.
1






Rambler's Top100
Рейтинг@Mail.ru


  Copyright © 2001-2019 Dmitry Leonov   Page build time: 0 s   Design: Vadim Derkach